#!/bin/sh
###
# femonspeak: A small script that uses your sound-systenm to output the SNR of a DVB device
# Uses a modified version of femon, included in this package.
#
# (c)2005 by Frank Scherthan 
# this Prog AND the wavs are FREE software, released under GPL (www.gnu.org/copyleft/gpl.html)

#adjust the following VARIABLES if needed

#device:
DEVICE=/dev/audio

#Prog to play files
PLAY="aplay"
#--silent --device=$DEVICE"
#---end--- of VARIABLES

while [ 1 ];do

	#call the modified "femon" and get its output
	FEMONOUTPUT=`./femon`
	
	#get the SNR
	NUMBERtmp=`echo $FEMONOUTPUT|cut -d'|' -f3|cut -c6-9`
#	#add 0x to make the femon output a hex number	
#	NUMBER=`echo "0x$NUMBERtmp"`
	
	let "perc = $NUMBERtmp "
	echo $perc

	if [ $perc = 100 ]
	then
		$PLAY wavs/1.wav wavs/100.wav
	elif [ $perc = 0 ]
	then
		$PLAY wavs/0.wav
	elif [ $perc -lt 21 ]
	then
		$PLAY wavs/$perc.wav
	else
		#between 21 and 99
		let "tentmp = $perc / 10"
		#looks stupid, but works fine :) (get only the tenth)
		let "ten = tentmp * 10"
		$PLAY wavs/$ten.wav
		let "one = $perc - $ten"
		$PLAY  wavs/$one.wav
	fi
	#wait a bit
	sleep .1
done
